import { Component, OnInit } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { TranslatorService } from 'src/app/hmg-common/services/translator/translator.service';

@Component({
  selector: 'app-edit-detail-profile',
  templateUrl: './edit-detail-profile.component.html',
  styleUrls: ['./edit-detail-profile.component.scss'],
})
export class EditDetailProfileComponent implements OnInit {
  public isChange: any;
  public sourceName: any;

  constructor(
    public modalController: ModalController,
    public ts: TranslatorService,
  ) { }

  colorRadio = "#269db8"

  ngOnInit() { 
    console.log(this.sourceName);
  }

  dismiss(actionValue: any) {
    // using the injected ModalController this page
    // can "dismiss" itself and optionally pass back data
    this.modalController.dismiss({
      dismissed: true,
      actionClicked: actionValue,
      data: this.isChange
    });
  }

}
